Get an L2 Segment

GET/v1/l2_segments/{l2_segment_id}

If you need to retrieve details about an existing L2 Segment, make a GET request to the /v1/l2_segments/{l2_segment_id} endpoint with the required path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

l2_segment_id*string

A unique identifier of an L2 Segment.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/l2_segments/oQeZ6Jep"
{  "id": "oQeZ6Jep",  "name": "name951",  "type": "public",  "status": "pending",  "location_group_id": 94,  "location_group_code": "location2113",  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "updated_at": "2026-05-28T07:01:27Z",  "created_at": "2026-05-28T07:01:27Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}